/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing HandleApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class HandleApiTests : IDisposable
    {
        private HandleApi instance;

        public HandleApiTests()
        {
            instance = new HandleApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of HandleApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' HandleApi
            //Assert.IsType<HandleApi>(instance);
        }

        /// <summary>
        /// Test ApiV2HandlesOptions
        /// </summary>
        [Fact]
        public void ApiV2HandlesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2HandlesOptions();
        }

        /// <summary>
        /// Test GetHandle
        /// </summary>
        [Fact]
        public void GetHandleTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string prefix = null;
            //string suffix = null;
            //var response = instance.GetHandle(prefix, suffix);
            //Assert.IsType<HandleDtoResponse>(response);
        }

        /// <summary>
        /// Test UpdateHandle
        /// </summary>
        [Fact]
        public void UpdateHandleTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string prefix = null;
            //string suffix = null;
            //HandleForUpdateDto? handleForUpdateDto = null;
            //instance.UpdateHandle(prefix, suffix, handleForUpdateDto);
        }
    }
}
